Child pages
  • LTI - Version Compatibility
Skip to end of metadata
Go to start of metadata

As of Sakai 10 and later, the Basiclti Artifact is versioned the same as the overall Sakai release so this table applies to Sakai 2.9 and earlier releases.

 

2.7.0

2.8.0

2.9.0

2.9.2

2.9.3

10

IMS LTI Version

1.1.3 1

(plus)

(warning)

(error)

(error)

(error)

(error)

LTI 1.0

1.3.1 2

(error)

(plus)

(tick)

(warning)

(warning)

(warning)

LTI 1.0

2.0.x 3

(error)

(error)

(plus)

(tick)

(tick)

(tick)

LTI 1.1

2.1.0 4

(error)

(error)

(tick)

(plus)

(tick)

(tick)

LTI 1.1

2.1.1 4

(error)

(error)

(tick)

(tick)

(plus)

(tick)

LTI 1.1

10.0

(error)

(error)

(tick)

(tick)

(tick)

(plus)

LTI 1.1 LTI 2.0

Plus indicates the release of Sakai a particular release of LTI was shipped with - and yes, the IMS Spec version numbers and the Sakai LTI Software version numbers are very badly aligned.  

  • No labels

1 Comment

  1. 2.10 should be updated to 10. Would have done it if the page wasn't locked.